{
    config,
    lib,
    pkgs,
    ...
}:
{
    # this actually does not enable xorg, but it is required for GDM
    services.xserver.enable = true;
    services.xserver.displayManager.gdm.enable = true;
    services.xserver.desktopManager.gnome.enable = true;
    # here we set wayland to be used
    services.xserver.displayManager.gdm.wayland = true;


    ## Slim down the gnome dependencies
    environment.gnome.excludePackages = (with pkgs; [
        gnome-photos
        gnome-tour
        gnome.geary
        gnome.gedit
        gnome.tali
        gnome.gnome-music
        gnome.cheese
    ])

}
